<?php
require_once("./common.php");// 設定・共通ファイル読み込み

// 楽天リクエストURL組み立て
$rwsquery = "宿泊空室検索";// 楽天検索用クエリー
$rwsquery4url = rawurlencode($rwsquery);// URLエンコード

$rwsurl = "http://api.rakuten.co.jp/rws/2.0/rest?developerId=$rwsdevid&affiliateId=$rwsaffid&&operation=KeywordHotelSearch&version=2009-02-03&hits=30&sumDisplayFlag=1&keyword=$rwsquery4url";

// xmlファイルを一度ファイルとして取得して変数に格納
$xml = file_get_contents($rwsurl);

// 楽天の場合「:」が入っている要素名がある。
// simpleXMLでは扱えないので、その文字を削除する。
$xml = str_replace('header:Header', 'headerHeader', $xml);
$xml = str_replace('keywordHotelSearch:KeywordHotelSearch', 'keywordHotelSearchKeywordHotelSearch', $xml);
// 変数に入れられた文字列をsimpleXMLで読みこむ
$xml = simplexml_load_string($xml);
$items = $xml->Body->keywordHotelSearchKeywordHotelSearch->hotelSimple;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Script-Type" content="text/html; charset=utf-8" />
<meta name="Copyright" content="&copy; 2009 ムジログ." />
<meta name="Keywords" content="箱根湯本温泉,強羅温泉,仙石原温泉,芦ノ湖温泉,湯河原温泉,旅館,ホテル" />
<meta name="description" content="何度も行きたい箱根温泉の特集です  ～ 箱根湯本温泉、強羅温泉、仙石原温泉、芦ノ湖温泉、湯河原温泉 ～" />
<title>宿泊空室検索 | 何度も行きたい箱根温泉</title>
<link rel="stylesheet" href="css/version4.css" type="text/css" />
<link rel="stylesheet" href="css/import.css" type="text/css" media="screen,print" />
<script type="text/javascript">
<!--
window.onload = function (){
    setEvent_to_OBJ("document.getElementById('year')" ,"change","iniD") 
    setEvent_to_OBJ("document.getElementById('month')","change","iniD") 
    ini();
}
function setEvent_to_OBJ(objNameStr,eventTypeNameStr,fncNameStr){
    eval(objNameStr+".on"+eventTypeNameStr+"="+ fncNameStr);
}

arrM = new Array(0,31,28,31,30,31,30,31,31,30,31,30,31);
var dayT = new Date;
var strY = dayT.getYear();
var strM = dayT.getMonth();
var strD = dayT.getDate();
if(strY < 1900){strY += 1900;}//NN系対策

function ini(){
    iniY();
    iniM();
    iniD();
}
function iniY(){
    var yr = document.getElementById("year");
    yr.options.length = 3;
    yr.options[0].text  = strY - 1;
    yr.options[1].text  = strY;
    yr.options[2].text  = strY + 1;
    yr.options[0].value = strY - 1;
    yr.options[1].value = strY;
    yr.options[2].value = strY + 1;
    yr.options[1].selected = "selected";
}
function iniM(){
    var mt = document.getElementById("month");
    mt.options.length = 12;
    for(var i=0;i<12;i++){
        mt.options[i].text  = i + 1;
        mt.options[i].value = i + 1;
        if(i == strM){mt.options[i].selected = "selected";}
    }
}
function iniD(){
    var yr    = document.getElementById("year");
    var dt    = document.getElementById("date");
    var mt    = document.getElementById("month");
    var u_flg = 0;//うるう年か否か
    var d_flg = 0;//年月が現在と同じか否か
    //月末の日数
    var lngD  = arrM[mt.options[mt.selectedIndex].value];
    if(mt.options[mt.selectedIndex].value == 2){
        u_flg = uruu(yr.options[yr.selectedIndex].value);
    }
    if(u_flg != 0){lngD ++;}
    if(mt.options[mt.selectedIndex].value == strM + 1 &&
        yr.options[yr.selectedIndex].value == strY){d_flg = 1;}

    dt.options.length = lngD;
    for(var i=0;i<lngD;i++){
        dt.options[i].text  = i + 1;
        dt.options[i].value = i + 1;
        if(i == strD - 1 && d_flg == 1){
            dt.options[i].selected = "selected";
        }
    }
    if(d_flg == 0){
        dt.options[0].selected = "selected";
    }
}
function uruu(year){
    if((year % 4 == 0 && year % 100 != 0) || year % 400 == 0){
        return 1;
    }else{
        return 0;
    }
}
//-->
</script>

</head>
<body>

<div id="wrapper">


<div id="header">
<a href="index.php"><img src="c_img/logo.jpg" alt="何度も行きたい箱根温泉" width="758" height="120" /></a>
</div>

<div id="navigation">
<ol>
<li id="yumoto"><a href="hakoneyumoto.php" accesskey="1">箱根湯本温泉</a></li>
<li id="goura"><a href="goura.php" accesskey="2">強羅温泉</a></li>
<li id="sengokuhara"><a href="sengokuhara.php" accesskey="3">仙石原温泉</a></li>
<li id="ashinoko"><a href="ashinoko.php" accesskey="4">芦ノ湖温泉</a></li>
<li id="yugawara"><a href="yugawara.php" accesskey="5">湯河原温泉</a></li>
<li id="kensaku"><a href="shukuhakuyoyaku.php" accesskey="6">宿泊空室検索</a></li>
</ol>
</div>

<div class="pankuzu">
現在の位置&nbsp;:&nbsp;<a href="index.php">ホーム</a>&nbsp;＞&nbsp;<span class="genzai">宿泊空室検索</span></div>

<div id="content">

<h2>宿泊空室検索</h2>
<p>宿泊空室検索準備中（演習課題としてやるかどうかはまだ未定）</p>
<h3>&nbsp;</h3>
<div class="pic">&nbsp;</div>
<h3>&nbsp;</h3>
	<form action="" method="post">
    <select name="year" id="year"><option value="">年</option></select>
    <select name="month" id="month"><option value="">月</option></select>
    <select name="date" id="date"><option value="">日</option></select>
</form>

</div>
<ul id="menu">
<li id="selected">宿泊空室検索</li>
</ul>

<div class="ad">
<!-- 160*600 adwords -->
</div>

<div class="pankuzu">
現在の位置&nbsp;:&nbsp;<a href="index.php">ホーム</a>&nbsp;＞&nbsp;<span class="genzai">宿泊空室検索</span></div>

<div id="footer">
<hr />
<div id="footerl">
Copyright 2009 オトコ磨きドットジェイピー All Rights Reserved.　<a href="http://musilog.net/contact" target="_blank">お問い合わせ（ムジログ）</a><br />
<!-- Rakuten Web Services Attribution Snippet FROM HERE -->
<a href="http://webservice.rakuten.co.jp/" target="_blank"><img src="http://webservice.rakuten.co.jp/img/credit/200709/credit_22121.gif" border="0" alt="楽天ウェブサービスセンター" title="楽天ウェブサービスセンター" width="221" height="21"/></a>
<!-- Rakuten Web Services Attribution Snippet TO HERE -->
</div>

</div>


</div>

<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("UA-148922-12");
pageTracker._trackPageview();
} catch(err) {}</script></body>
</html>
